Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network131.80.0.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
131.80.0.0
Broadcast address
131.80.3.255
First usable
131.80.0.1
Last usable
131.80.3.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
B (default /16)
As numbers
Hex 83500000 · Integer 2203058176 to 2203059199
Reverse DNS zones
0.80.131.in-addr.arpa
1.80.131.in-addr.arpa
2.80.131.in-addr.arpa
3.80.131.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10000011.01010000.00000000.00000000131.80.0.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network10000011.01010000.00000000.00000000131.80.0.0
Broadcast10000011.01010000.00000011.11111111131.80.3.255
Split into smaller subnets/29

131.80.0.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1131.80.0.0/29131.80.0.1 to 131.80.0.6131.80.0.76
2131.80.0.8/29131.80.0.9 to 131.80.0.14131.80.0.156
3131.80.0.16/29131.80.0.17 to 131.80.0.22131.80.0.236
4131.80.0.24/29131.80.0.25 to 131.80.0.30131.80.0.316
5131.80.0.32/29131.80.0.33 to 131.80.0.38131.80.0.396
6131.80.0.40/29131.80.0.41 to 131.80.0.46131.80.0.476
7131.80.0.48/29131.80.0.49 to 131.80.0.54131.80.0.556
8131.80.0.56/29131.80.0.57 to 131.80.0.62131.80.0.636
9131.80.0.64/29131.80.0.65 to 131.80.0.70131.80.0.716
10131.80.0.72/29131.80.0.73 to 131.80.0.78131.80.0.796
11131.80.0.80/29131.80.0.81 to 131.80.0.86131.80.0.876
12131.80.0.88/29131.80.0.89 to 131.80.0.94131.80.0.956
13131.80.0.96/29131.80.0.97 to 131.80.0.102131.80.0.1036
14131.80.0.104/29131.80.0.105 to 131.80.0.110131.80.0.1116
15131.80.0.112/29131.80.0.113 to 131.80.0.118131.80.0.1196
16131.80.0.120/29131.80.0.121 to 131.80.0.126131.80.0.1276
17131.80.0.128/29131.80.0.129 to 131.80.0.134131.80.0.1356
18131.80.0.136/29131.80.0.137 to 131.80.0.142131.80.0.1436
19131.80.0.144/29131.80.0.145 to 131.80.0.150131.80.0.1516
20131.80.0.152/29131.80.0.153 to 131.80.0.158131.80.0.1596
21131.80.0.160/29131.80.0.161 to 131.80.0.166131.80.0.1676
22131.80.0.168/29131.80.0.169 to 131.80.0.174131.80.0.1756
23131.80.0.176/29131.80.0.177 to 131.80.0.182131.80.0.1836
24131.80.0.184/29131.80.0.185 to 131.80.0.190131.80.0.1916
25131.80.0.192/29131.80.0.193 to 131.80.0.198131.80.0.1996
26131.80.0.200/29131.80.0.201 to 131.80.0.206131.80.0.2076
27131.80.0.208/29131.80.0.209 to 131.80.0.214131.80.0.2156
28131.80.0.216/29131.80.0.217 to 131.80.0.222131.80.0.2236
29131.80.0.224/29131.80.0.225 to 131.80.0.230131.80.0.2316
30131.80.0.232/29131.80.0.233 to 131.80.0.238131.80.0.2396
31131.80.0.240/29131.80.0.241 to 131.80.0.246131.80.0.2476
32131.80.0.248/29131.80.0.249 to 131.80.0.254131.80.0.2556
33131.80.1.0/29131.80.1.1 to 131.80.1.6131.80.1.76
34131.80.1.8/29131.80.1.9 to 131.80.1.14131.80.1.156
35131.80.1.16/29131.80.1.17 to 131.80.1.22131.80.1.236
36131.80.1.24/29131.80.1.25 to 131.80.1.30131.80.1.316
37131.80.1.32/29131.80.1.33 to 131.80.1.38131.80.1.396
38131.80.1.40/29131.80.1.41 to 131.80.1.46131.80.1.476
39131.80.1.48/29131.80.1.49 to 131.80.1.54131.80.1.556
40131.80.1.56/29131.80.1.57 to 131.80.1.62131.80.1.636
41131.80.1.64/29131.80.1.65 to 131.80.1.70131.80.1.716
42131.80.1.72/29131.80.1.73 to 131.80.1.78131.80.1.796
43131.80.1.80/29131.80.1.81 to 131.80.1.86131.80.1.876
44131.80.1.88/29131.80.1.89 to 131.80.1.94131.80.1.956
45131.80.1.96/29131.80.1.97 to 131.80.1.102131.80.1.1036
46131.80.1.104/29131.80.1.105 to 131.80.1.110131.80.1.1116
47131.80.1.112/29131.80.1.113 to 131.80.1.118131.80.1.1196
48131.80.1.120/29131.80.1.121 to 131.80.1.126131.80.1.1276
49131.80.1.128/29131.80.1.129 to 131.80.1.134131.80.1.1356
50131.80.1.136/29131.80.1.137 to 131.80.1.142131.80.1.1436
51131.80.1.144/29131.80.1.145 to 131.80.1.150131.80.1.1516
52131.80.1.152/29131.80.1.153 to 131.80.1.158131.80.1.1596
53131.80.1.160/29131.80.1.161 to 131.80.1.166131.80.1.1676
54131.80.1.168/29131.80.1.169 to 131.80.1.174131.80.1.1756
55131.80.1.176/29131.80.1.177 to 131.80.1.182131.80.1.1836
56131.80.1.184/29131.80.1.185 to 131.80.1.190131.80.1.1916
57131.80.1.192/29131.80.1.193 to 131.80.1.198131.80.1.1996
58131.80.1.200/29131.80.1.201 to 131.80.1.206131.80.1.2076
59131.80.1.208/29131.80.1.209 to 131.80.1.214131.80.1.2156
60131.80.1.216/29131.80.1.217 to 131.80.1.222131.80.1.2236
61131.80.1.224/29131.80.1.225 to 131.80.1.230131.80.1.2316
62131.80.1.232/29131.80.1.233 to 131.80.1.238131.80.1.2396
63131.80.1.240/29131.80.1.241 to 131.80.1.246131.80.1.2476
64131.80.1.248/29131.80.1.249 to 131.80.1.254131.80.1.2556
65131.80.2.0/29131.80.2.1 to 131.80.2.6131.80.2.76
66131.80.2.8/29131.80.2.9 to 131.80.2.14131.80.2.156
67131.80.2.16/29131.80.2.17 to 131.80.2.22131.80.2.236
68131.80.2.24/29131.80.2.25 to 131.80.2.30131.80.2.316
69131.80.2.32/29131.80.2.33 to 131.80.2.38131.80.2.396
70131.80.2.40/29131.80.2.41 to 131.80.2.46131.80.2.476
71131.80.2.48/29131.80.2.49 to 131.80.2.54131.80.2.556
72131.80.2.56/29131.80.2.57 to 131.80.2.62131.80.2.636
73131.80.2.64/29131.80.2.65 to 131.80.2.70131.80.2.716
74131.80.2.72/29131.80.2.73 to 131.80.2.78131.80.2.796
75131.80.2.80/29131.80.2.81 to 131.80.2.86131.80.2.876
76131.80.2.88/29131.80.2.89 to 131.80.2.94131.80.2.956
77131.80.2.96/29131.80.2.97 to 131.80.2.102131.80.2.1036
78131.80.2.104/29131.80.2.105 to 131.80.2.110131.80.2.1116
79131.80.2.112/29131.80.2.113 to 131.80.2.118131.80.2.1196
80131.80.2.120/29131.80.2.121 to 131.80.2.126131.80.2.1276
81131.80.2.128/29131.80.2.129 to 131.80.2.134131.80.2.1356
82131.80.2.136/29131.80.2.137 to 131.80.2.142131.80.2.1436
83131.80.2.144/29131.80.2.145 to 131.80.2.150131.80.2.1516
84131.80.2.152/29131.80.2.153 to 131.80.2.158131.80.2.1596
85131.80.2.160/29131.80.2.161 to 131.80.2.166131.80.2.1676
86131.80.2.168/29131.80.2.169 to 131.80.2.174131.80.2.1756
87131.80.2.176/29131.80.2.177 to 131.80.2.182131.80.2.1836
88131.80.2.184/29131.80.2.185 to 131.80.2.190131.80.2.1916
89131.80.2.192/29131.80.2.193 to 131.80.2.198131.80.2.1996
90131.80.2.200/29131.80.2.201 to 131.80.2.206131.80.2.2076
91131.80.2.208/29131.80.2.209 to 131.80.2.214131.80.2.2156
92131.80.2.216/29131.80.2.217 to 131.80.2.222131.80.2.2236
93131.80.2.224/29131.80.2.225 to 131.80.2.230131.80.2.2316
94131.80.2.232/29131.80.2.233 to 131.80.2.238131.80.2.2396
95131.80.2.240/29131.80.2.241 to 131.80.2.246131.80.2.2476
96131.80.2.248/29131.80.2.249 to 131.80.2.254131.80.2.2556
97131.80.3.0/29131.80.3.1 to 131.80.3.6131.80.3.76
98131.80.3.8/29131.80.3.9 to 131.80.3.14131.80.3.156
99131.80.3.16/29131.80.3.17 to 131.80.3.22131.80.3.236
100131.80.3.24/29131.80.3.25 to 131.80.3.30131.80.3.316
101131.80.3.32/29131.80.3.33 to 131.80.3.38131.80.3.396
102131.80.3.40/29131.80.3.41 to 131.80.3.46131.80.3.476
103131.80.3.48/29131.80.3.49 to 131.80.3.54131.80.3.556
104131.80.3.56/29131.80.3.57 to 131.80.3.62131.80.3.636
105131.80.3.64/29131.80.3.65 to 131.80.3.70131.80.3.716
106131.80.3.72/29131.80.3.73 to 131.80.3.78131.80.3.796
107131.80.3.80/29131.80.3.81 to 131.80.3.86131.80.3.876
108131.80.3.88/29131.80.3.89 to 131.80.3.94131.80.3.956
109131.80.3.96/29131.80.3.97 to 131.80.3.102131.80.3.1036
110131.80.3.104/29131.80.3.105 to 131.80.3.110131.80.3.1116
111131.80.3.112/29131.80.3.113 to 131.80.3.118131.80.3.1196
112131.80.3.120/29131.80.3.121 to 131.80.3.126131.80.3.1276
113131.80.3.128/29131.80.3.129 to 131.80.3.134131.80.3.1356
114131.80.3.136/29131.80.3.137 to 131.80.3.142131.80.3.1436
115131.80.3.144/29131.80.3.145 to 131.80.3.150131.80.3.1516
116131.80.3.152/29131.80.3.153 to 131.80.3.158131.80.3.1596
117131.80.3.160/29131.80.3.161 to 131.80.3.166131.80.3.1676
118131.80.3.168/29131.80.3.169 to 131.80.3.174131.80.3.1756
119131.80.3.176/29131.80.3.177 to 131.80.3.182131.80.3.1836
120131.80.3.184/29131.80.3.185 to 131.80.3.190131.80.3.1916
121131.80.3.192/29131.80.3.193 to 131.80.3.198131.80.3.1996
122131.80.3.200/29131.80.3.201 to 131.80.3.206131.80.3.2076
123131.80.3.208/29131.80.3.209 to 131.80.3.214131.80.3.2156
124131.80.3.216/29131.80.3.217 to 131.80.3.222131.80.3.2236
125131.80.3.224/29131.80.3.225 to 131.80.3.230131.80.3.2316
126131.80.3.232/29131.80.3.233 to 131.80.3.238131.80.3.2396
127131.80.3.240/29131.80.3.241 to 131.80.3.246131.80.3.2476
128131.80.3.248/29131.80.3.249 to 131.80.3.254131.80.3.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses